=== examples/osgautocapture/CMakeLists.txt ===
SET(TARGET_SRC osgautocapture.cpp )

SET(TARGET_ADDED_LIBRARIES osgTerrain )
#### end var setup  ###
SETUP_EXAMPLE(osgautocapture)
