=== examples/osgclip/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgclip.cpp )
#### end var setup  ###
SETUP_EXAMPLE(osgclip)
