=== examples/osghangglide/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC
GliderManipulator.cpp
base.cpp
hat.cpp
osghangglide.cpp
sky.cpp
tank.cpp
terrain.cpp
trees.cpp
)
SET(TARGET_H
GliderManipulator.h
hat.h
terrain_coords.h
terrain_normals.h
terrain_texcoords.h
)
#### end var setup  ###
SETUP_EXAMPLE(osghangglide)
