=== examples/osgkeyboard/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgkeyboard.cpp )
SET(TARGET_ADDED_LIBRARIES osgFX )
#### end var setup  ###
SETUP_EXAMPLE(osgkeyboard)
