=== examples/osglogo/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osglogo.cpp )
#### end var setup  ###
SETUP_EXAMPLE(osglogo)
