=== examples/osgmemorytest/CMakeLists.txt ===
SET(TARGET_SRC osgmemorytest.cpp )

#### end var setup  ###
SETUP_EXAMPLE(osgmemorytest)
