=== examples/osgmultitexturecontrol/CMakeLists.txt ===
SET(TARGET_SRC osgmultitexturecontrol.cpp )
SET(TARGET_ADDED_LIBRARIES osgFX osgTerrain)

#### end var setup  ###
SETUP_EXAMPLE(osgmultitexturecontrol )
