=== examples/osgoit/CMakeLists.txt ===
SET(TARGET_SRC
    osgoit.cpp
    DepthPeeling.h
    DepthPeeling.cpp
    HeatMap.h
    HeatMap.cpp)

SETUP_EXAMPLE(osgoit)
