=== debian/control ===
Source: openscenegraph-3.4
Maintainer: Alberto Luaces Fernández <aluaces@udc.es>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>,
           Loic Dachary (OuoU) <loic@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               dpkg-dev,
               cmake,
               g++,
               ccache,
               doxygen,
               help2man,
               libgif-dev,
               libjpeg-dev,
               libtiff-dev,
               lib3ds-dev,
               libfreetype6-dev,
               libpng-dev,
               libcoin80-dev,
               libgdal-dev,
               libx11-dev,
               libxmu-dev,
               freeglut3-dev [!armel !armhf],
               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
               libegl1-mesa-dev [armel armhf],
               libgles2-mesa-dev [armel armhf],
               libxine2-dev,
               libavcodec-dev,
               libswscale-dev,
               libavdevice-dev,
               libavresample-dev,
               qtbase5-dev,
               libqt5opengl5-dev,
               librsvg2-dev,
               libpoppler-glib-dev,
               liblua5.2-dev,
               libopenthreads-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-osg/openscenegraph-3.4.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-osg/openscenegraph-3.4.git
Homepage: http://www.openscenegraph.org/

Package: libopenscenegraph-3.4-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libopenthreads-dev,
         libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
         libgles2-mesa-dev [armel armhf],
         libglu-dev,
         libopenscenegraph-3.4-131 (= ${binary:Version})
Suggests: openscenegraph-doc,
          openscenegraph-examples
Conflicts: libopenscenegraph-dev
Description: 3D scene graph, development files
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the development headers.

Package: libopenscenegraph-3.4-131
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3D scene graph, shared libs
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the shared libraries.

Package: openscenegraph-3.4-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: 3D scene graph, documentation
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the documentation.

Package: openscenegraph-3.4
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: openscenegraph
Description: 3D scene graph, utilities and examples (binaries)
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains utilities and examples (binaries).

Package: openscenegraph-3.4-examples
Architecture: all
Depends: ${misc:Depends}
Conflicts: openscenegraph-examples
Description: 3D scene graph, examples (sources)
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains examples (sources).
