## openscenegraph-3.4 3.4.1.1+dfsg+rb2

=== applications/osgfilecache/CMakeLists.txt ===
SET(TARGET_SRC osgfilecache.cpp )
SET(TARGET_ADDED_LIBRARIES osgTerrain )

SETUP_APPLICATION(osgfilecache)
