=== src/osgPlugins/gta/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${GTA_INCLUDE_DIRS} )

SET(TARGET_SRC ReaderWriterGTA.cpp )

SET(TARGET_LIBRARIES_VARS GTA_LIBRARIES)

#### end var setup  ###
SETUP_PLUGIN(gta)
