=== debian/changelog ===
openscenegraph-3.4 (3.4.1.1+dfsg+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Alberto Luaces Fernández <aluaces@udc.es>  Thu, 28 Jan 2021 19:50:53 +0800
